!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 174

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1138)
  integer, parameter :: nGC_9261 = 1
  integer, parameter :: nGC_149 = 2
  integer, parameter :: nGC_9309 = 3
  integer, parameter :: nGC_9155 = 4
  integer, parameter :: nGC_9154 = 5
  integer, parameter :: nGC_69 = 6
  integer, parameter :: nGC_206 = 7
  integer, parameter :: nGC_HHH = 8
  integer, parameter :: nGC_101 = 9
  integer, parameter :: nGC_9663 = 10
  integer, parameter :: nGC_MZ_GF = 11
  integer, parameter :: nGC_9103 = 12
  integer, parameter :: nGC_28 = 13
  integer, parameter :: nGC_29 = 14
  integer, parameter :: nGC_9687 = 15
  integer, parameter :: nGC_9686 = 16
  integer, parameter :: nGC_9685 = 17
  integer, parameter :: nGC_22 = 18
  integer, parameter :: nGC_23 = 19
  integer, parameter :: nGC_20 = 20
  integer, parameter :: nGC_21 = 21
  integer, parameter :: nGC_26 = 22
  integer, parameter :: nGC_27 = 23
  integer, parameter :: nGC_24 = 24
  integer, parameter :: nGC_25 = 25
  integer, parameter :: nGC_150 = 26
  integer, parameter :: nGC_9272 = 27
  integer, parameter :: nGC_93 = 28
  integer, parameter :: nGC_9274 = 29
  integer, parameter :: nGC_92 = 30
  integer, parameter :: nGC_GG = 31
  integer, parameter :: nGC_91 = 32
  integer, parameter :: nGC_9074 = 33
  integer, parameter :: nGC_9076 = 34
  integer, parameter :: nGC_90 = 35
  integer, parameter :: nGC_9070 = 36
  integer, parameter :: nGC_9072 = 37
  integer, parameter :: nGC_9296 = 38
  integer, parameter :: nGC_9297 = 39
  integer, parameter :: nGC_9291 = 40
  integer, parameter :: nGC_9293 = 41
  integer, parameter :: nGC_104 = 42
  integer, parameter :: nGC_9298 = 43
  integer, parameter :: nGC_9299 = 44
  integer, parameter :: nGC_148 = 45
  integer, parameter :: nGC_118 = 46
  integer, parameter :: nGC_9198 = 47
  integer, parameter :: nGC_9197 = 48
  integer, parameter :: nGC_9196 = 49
  integer, parameter :: nGC_9755 = 50
  integer, parameter :: nGC_9159 = 51
  integer, parameter :: nGC_9191 = 52
  integer, parameter :: nGC_126 = 53
  integer, parameter :: nGC_124 = 54
  integer, parameter :: nGC_125 = 55
  integer, parameter :: nGC_122 = 56
  integer, parameter :: nGC_9754 = 57
  integer, parameter :: nGC_120 = 58
  integer, parameter :: nGC_121 = 59
  integer, parameter :: nGC_128 = 60
  integer, parameter :: nGC_129 = 61
  integer, parameter :: nGC_MMW_GF = 62
  integer, parameter :: nGC_2440 = 63
  integer, parameter :: nGC_2442 = 64
  integer, parameter :: nGC_2444 = 65
  integer, parameter :: nGC_9151 = 66
  integer, parameter :: nGC_76 = 67
  integer, parameter :: nGC_9100 = 68
  integer, parameter :: nGC_9101 = 69
  integer, parameter :: nGC_9102 = 70
  integer, parameter :: nGC_71 = 71
  integer, parameter :: nGC_97 = 72
  integer, parameter :: nGC_I = 73
  integer, parameter :: nGC_109 = 74
  integer, parameter :: nGC_9765 = 75
  integer, parameter :: nGC_70 = 76
  integer, parameter :: nGC_65 = 77
  integer, parameter :: nGC_110 = 78
  integer, parameter :: nGC_3 = 79
  integer, parameter :: nGC_2 = 80
  integer, parameter :: nGC_1 = 81
  integer, parameter :: nGC_7 = 82
  integer, parameter :: nGC_6 = 83
  integer, parameter :: nGC_5 = 84
  integer, parameter :: nGC_4 = 85
  integer, parameter :: nGC_9 = 86
  integer, parameter :: nGC_8 = 87
  integer, parameter :: nGC_HHGG = 88
  integer, parameter :: nGC_9756 = 89
  integer, parameter :: nGC_9260 = 90
  integer, parameter :: nGC_MI = 91
  integer, parameter :: nGC_53 = 92
  integer, parameter :: nGC_52 = 93
  integer, parameter :: nGC_51 = 94
  integer, parameter :: nGC_50 = 95
  integer, parameter :: nGC_57 = 96
  integer, parameter :: nGC_56 = 97
  integer, parameter :: nGC_55 = 98
  integer, parameter :: nGC_54 = 99
  integer, parameter :: nGC_59 = 100
  integer, parameter :: nGC_58 = 101
  integer, parameter :: nGC_12 = 102
  integer, parameter :: nGC_9716 = 103
  integer, parameter :: nGC_9710 = 104
  integer, parameter :: nGC_9249 = 105
  integer, parameter :: nGC_9248 = 106
  integer, parameter :: nGC_9719 = 107
  integer, parameter :: nGC_41 = 108
  integer, parameter :: nGC_9085 = 109
  integer, parameter :: nGC_9084 = 110
  integer, parameter :: nGC_9087 = 111
  integer, parameter :: nGC_9086 = 112
  integer, parameter :: nGC_516 = 113
  integer, parameter :: nGC_43 = 114
  integer, parameter :: nGC_105 = 115
  integer, parameter :: nGC_15432 = 116
  integer, parameter :: nGC_15433 = 117
  integer, parameter :: nGC_15436 = 118
  integer, parameter :: nGC_15437 = 119
  integer, parameter :: nGC_108 = 120
  integer, parameter :: nGC_9220 = 121
  integer, parameter :: nGC_9706 = 122
  integer, parameter :: nGC_9757 = 123
  integer, parameter :: nGC_116 = 124
  integer, parameter :: nGC_3976 = 125
  integer, parameter :: nGC_9661 = 126
  integer, parameter :: nGC_9662 = 127
  integer, parameter :: nGC_760 = 128
  integer, parameter :: nGC_2398 = 129
  integer, parameter :: nGC_60 = 130
  integer, parameter :: nGC_9258 = 131
  integer, parameter :: nGC_78 = 132
  integer, parameter :: nGC_9759 = 133
  integer, parameter :: nGC_16163 = 134
  integer, parameter :: nGC_15384 = 135
  integer, parameter :: nGC_14551 = 136
  integer, parameter :: nGC_9158 = 137
  integer, parameter :: nGC_9312 = 138
  integer, parameter :: nGC_9244 = 139
  integer, parameter :: nGC_9314 = 140
  integer, parameter :: nGC_16050 = 141
  integer, parameter :: nGC_17616 = 142
  integer, parameter :: nGC_17 = 143
  integer, parameter :: nGC_16 = 144
  integer, parameter :: nGC_15 = 145
  integer, parameter :: nGC_14 = 146
  integer, parameter :: nGC_13 = 147
  integer, parameter :: nGC_11 = 148
  integer, parameter :: nGC_10 = 149
  integer, parameter :: nGC_19 = 150
  integer, parameter :: nGC_18 = 151
  integer, parameter :: nGC_9363 = 152
  integer, parameter :: nGC_9366 = 153
  integer, parameter :: nGC_636 = 154
  integer, parameter :: nGC_14685 = 155
  integer, parameter :: nGC_14686 = 156
  integer, parameter :: nGC_14680 = 157
  integer, parameter :: nGC_9153 = 158
  integer, parameter :: nGC_96 = 159
  integer, parameter :: nGC_14679 = 160
  integer, parameter :: nGC_1978 = 161
  integer, parameter :: nGC_135 = 162
  integer, parameter :: nGC_134 = 163
  integer, parameter :: nGC_137 = 164
  integer, parameter :: nGC_136 = 165
  integer, parameter :: nGC_131 = 166
  integer, parameter :: nGC_130 = 167
  integer, parameter :: nGC_9748 = 168
  integer, parameter :: nGC_9749 = 169
  integer, parameter :: nGC_9746 = 170
  integer, parameter :: nGC_9215 = 171
  integer, parameter :: nGC_9118 = 172
  integer, parameter :: nGC_138 = 173
  integer, parameter :: nGC_9443 = 174
  integer, parameter :: nGC_9150 = 175
  integer, parameter :: nGC_15575 = 176
  integer, parameter :: nGC_14782 = 177
  integer, parameter :: nGC_9157 = 178
  integer, parameter :: nGC_9219 = 179
  integer, parameter :: nGC_9125 = 180
  integer, parameter :: nGC_HHHH = 181
  integer, parameter :: nGC_16402 = 182
  integer, parameter :: nGC_16403 = 183
  integer, parameter :: nGC_14296 = 184
  integer, parameter :: nGC_16159 = 185
  integer, parameter :: nGC_16408 = 186
  integer, parameter :: nGC_16409 = 187
  integer, parameter :: nGC_14298 = 188
  integer, parameter :: nGC_9176 = 189
  integer, parameter :: nGC_9411 = 190
  integer, parameter :: nGC_9419 = 191
  integer, parameter :: nGC_14888 = 192
  integer, parameter :: nGC_358 = 193
  integer, parameter :: nGC_1886 = 194
  integer, parameter :: nGC_9382 = 195
  integer, parameter :: nGC_18693 = 196
  integer, parameter :: nGC_48 = 197
  integer, parameter :: nGC_49 = 198
  integer, parameter :: nGC_9677 = 199
  integer, parameter :: nGC_44 = 200
  integer, parameter :: nGC_45 = 201
  integer, parameter :: nGC_46 = 202
  integer, parameter :: nGC_47 = 203
  integer, parameter :: nGC_40 = 204
  integer, parameter :: nGC_42 = 205
  integer, parameter :: nGC_9250 = 206
  integer, parameter :: nGC_9252 = 207
  integer, parameter :: nGC_9253 = 208
  integer, parameter :: nGC_9254 = 209
  integer, parameter :: nGC_9255 = 210
  integer, parameter :: nGC_9257 = 211
  integer, parameter :: nGC_9259 = 212
  integer, parameter :: nGC_9092 = 213
  integer, parameter :: nGC_9093 = 214
  integer, parameter :: nGC_9094 = 215
  integer, parameter :: nGC_9311 = 216
  integer, parameter :: nGC_9558 = 217
  integer, parameter :: nGC_9313 = 218
  integer, parameter :: nGC_9099 = 219
  integer, parameter :: nGC_9315 = 220
  integer, parameter :: nGC_174 = 221
  integer, parameter :: nGC_9317 = 222
  integer, parameter :: nGC_9316 = 223
  integer, parameter :: nGC_15858 = 224
  integer, parameter :: nGC_9180 = 225
  integer, parameter :: nGC_9181 = 226
  integer, parameter :: nGC_9282 = 227
  integer, parameter :: nGC_1644 = 228
  integer, parameter :: nGC_9175 = 229
  integer, parameter :: nGC_9177 = 230
  integer, parameter :: nGC_9171 = 231
  integer, parameter :: nGC_9172 = 232
  integer, parameter :: nGC_9179 = 233
  integer, parameter :: nGC_9178 = 234
  integer, parameter :: nGC_15374 = 235
  integer, parameter :: nGC_9112 = 236
  integer, parameter :: nGC_9678 = 237
  integer, parameter :: nGC_13969 = 238
  integer, parameter :: nGC_9672 = 239
  integer, parameter :: nGC_9670 = 240
  integer, parameter :: nGC_9671 = 241
  integer, parameter :: nGC_9243 = 242
  integer, parameter :: nGC_133 = 243
  integer, parameter :: nGC_9242 = 244
  integer, parameter :: nGC_14308 = 245
  integer, parameter :: nGC_132 = 246
  integer, parameter :: nGC_9241 = 247
  integer, parameter :: nGC_9214 = 248
  integer, parameter :: nGC_9240 = 249
  integer, parameter :: nGC_9247 = 250
  integer, parameter :: nGC_9216 = 251
  integer, parameter :: nGC_9246 = 252
  integer, parameter :: nGC_9245 = 253
  integer, parameter :: nGC_9210 = 254
  integer, parameter :: nGC_9665 = 255
  integer, parameter :: nGC_9110 = 256
  integer, parameter :: nGC_14549 = 257
  integer, parameter :: nGC_GPGMGPGM = 258
  integer, parameter :: nGC_16683 = 259
  integer, parameter :: nGC_16686 = 260
  integer, parameter :: nGC_9213 = 261
  integer, parameter :: nGC_9211 = 262
  integer, parameter :: nGC_9546 = 263
  integer, parameter :: nGC_15391 = 264
  integer, parameter :: nGC_17615 = 265
  integer, parameter :: nGC_14575 = 266
  integer, parameter :: nGC_14438 = 267
  integer, parameter :: nGC_17612 = 268
  integer, parameter :: nGC_9370 = 269
  integer, parameter :: nGC_1274 = 270
  integer, parameter :: nGC_9325 = 271
  integer, parameter :: nGC_9421 = 272
  integer, parameter :: nGC_99 = 273
  integer, parameter :: nGC_98 = 274
  integer, parameter :: nGC_95 = 275
  integer, parameter :: nGC_94 = 276
  integer, parameter :: nGC_9585 = 277
  integer, parameter :: nGC_9586 = 278
  integer, parameter :: nGC_9271 = 279
  integer, parameter :: nGC_14693 = 280
  integer, parameter :: nGC_14690 = 281
  integer, parameter :: nGC_127 = 282
  integer, parameter :: nGC_75 = 283
  integer, parameter :: nGC_74 = 284
  integer, parameter :: nGC_77 = 285
  integer, parameter :: nGC_17611 = 286
  integer, parameter :: nGC_73 = 287
  integer, parameter :: nGC_72 = 288
  integer, parameter :: nGC_9689 = 289
  integer, parameter :: nGC_9212 = 290
  integer, parameter :: nGC_9275 = 291
  integer, parameter :: nGC_79 = 292
  integer, parameter :: nGC_9633 = 293
  integer, parameter :: nGC_9630 = 294
  integer, parameter :: nGC_9631 = 295
  integer, parameter :: nGC_100 = 296
  integer, parameter :: nGC_102 = 297
  integer, parameter :: nGC_103 = 298
  integer, parameter :: nGC_106 = 299
  integer, parameter :: nGC_107 = 300
  integer, parameter :: nGC_9221 = 301
  integer, parameter :: nGC_9730 = 302
  integer, parameter :: nGC_9737 = 303
  integer, parameter :: nGC_9735 = 304
  integer, parameter :: nGC_9733 = 305
  integer, parameter :: nGC_9152 = 306
  integer, parameter :: nGC_18694 = 307
  integer, parameter :: nGC_1976 = 308
  integer, parameter :: nGC_16098 = 309
  integer, parameter :: nGC_9071 = 310
  integer, parameter :: nGC_16646 = 311
  integer, parameter :: nGC_14501 = 312
  integer, parameter :: nGC_9129 = 313
  integer, parameter :: nGC_9126 = 314
  integer, parameter :: nGC_9124 = 315
  integer, parameter :: nGC_9073 = 316
  integer, parameter :: nGC_9122 = 317
  integer, parameter :: nGC_9123 = 318
  integer, parameter :: nGC_9648 = 319
  integer, parameter :: nGC_9294 = 320
  integer, parameter :: nGC_9437 = 321
  integer, parameter :: nGC_14237 = 322
  integer, parameter :: nGC_9295 = 323
  integer, parameter :: nGC_14239 = 324
  integer, parameter :: nGC_9641 = 325
  integer, parameter :: nGC_9290 = 326
  integer, parameter :: nGC_9292 = 327
  integer, parameter :: nGC_9640 = 328
  integer, parameter :: nGC_214 = 329
  integer, parameter :: nGC_210 = 330
  integer, parameter :: nGC_9256 = 331
  integer, parameter :: nGC_15578 = 332
  integer, parameter :: nGC_15886 = 333
  integer, parameter :: nGC_15883 = 334
  integer, parameter :: nGC_9463 = 335
  integer, parameter :: nGC_9465 = 336
  integer, parameter :: nGC_9190 = 337
  integer, parameter :: nGC_9549 = 338
  integer, parameter :: nGC_9512 = 339
  integer, parameter :: nGC_86 = 340
  integer, parameter :: nGC_87 = 341
  integer, parameter :: nGC_9088 = 342
  integer, parameter :: nGC_9301 = 343
  integer, parameter :: nGC_39 = 344
  integer, parameter :: nGC_9310 = 345
  integer, parameter :: nGC_16321 = 346
  integer, parameter :: nGC_31 = 347
  integer, parameter :: nGC_30 = 348
  integer, parameter :: nGC_33 = 349
  integer, parameter :: nGC_35 = 350
  integer, parameter :: nGC_18435 = 351
  integer, parameter :: nGC_37 = 352
  integer, parameter :: nGC_36 = 353
  integer, parameter :: nGC_144 = 354
  integer, parameter :: nGC_9307 = 355
  integer, parameter :: nGC_9304 = 356
  integer, parameter :: nGC_15385 = 357
  integer, parameter :: nGC_9302 = 358
  integer, parameter :: nGC_9303 = 359
  integer, parameter :: nGC_9300 = 360
  integer, parameter :: nGC_9265 = 361
  integer, parameter :: nGC_9264 = 362
  integer, parameter :: nGC_9267 = 363
  integer, parameter :: nGC_9266 = 364
  integer, parameter :: nGC_9308 = 365
  integer, parameter :: nGC_9262 = 366
  integer, parameter :: nGC_15634 = 367
  integer, parameter :: nGC_9251 = 368
  integer, parameter :: nGC_15633 = 369
  integer, parameter :: nGC_9069 = 370
  integer, parameter :: nGC_9068 = 371
  integer, parameter :: nGC_9067 = 372
  integer, parameter :: nGC_9066 = 373
  integer, parameter :: nGC_9075 = 374
  integer, parameter :: nGC_9206 = 375
  integer, parameter :: nGC_9664 = 376
  integer, parameter :: nGC_9287 = 377
  integer, parameter :: nGC_67 = 378
  integer, parameter :: nGC_9283 = 379
  integer, parameter :: nGC_9667 = 380
  integer, parameter :: nGC_9281 = 381
  integer, parameter :: nGC_9280 = 382
  integer, parameter :: nGC_9156 = 383
  integer, parameter :: nGC_MW_GF = 384
  integer, parameter :: nGC_9666 = 385
  integer, parameter :: nGC_9289 = 386
  integer, parameter :: nGC_15263 = 387
  integer, parameter :: nGC_9669 = 388
  integer, parameter :: nGC_9668 = 389
  integer, parameter :: nGC_3818 = 390
  integer, parameter :: nGC_119 = 391
  integer, parameter :: nGC_9263 = 392
  integer, parameter :: nGC_9160 = 393
  integer, parameter :: nGC_9161 = 394
  integer, parameter :: nGC_9166 = 395
  integer, parameter :: nGC_9167 = 396
  integer, parameter :: nGC_9165 = 397
  integer, parameter :: nGC_9168 = 398
  integer, parameter :: nGC_GGH = 399
  integer, parameter :: nGC_9764 = 400
  integer, parameter :: nGC_9760 = 401
  integer, parameter :: nGC_9761 = 402
  integer, parameter :: nGC_9762 = 403
  integer, parameter :: nGC_9763 = 404
  integer, parameter :: nGC_MH = 405
  integer, parameter :: nGC_MM = 406
  integer, parameter :: nGC_MC = 407
  integer, parameter :: nGC_MB = 408
  integer, parameter :: nGC_61 = 409
  integer, parameter :: nGC_14076 = 410
  integer, parameter :: nGC_ME = 411
  integer, parameter :: nGC_MD = 412
  integer, parameter :: nGC_MZ = 413
  integer, parameter :: nGC_2458 = 414
  integer, parameter :: nGC_18432 = 415
  integer, parameter :: nGC_117 = 416
  integer, parameter :: nGC_9203 = 417
  integer, parameter :: nGC_MS = 418
  integer, parameter :: nGC_MW = 419
  integer, parameter :: nGC_MU = 420
  integer, parameter :: nGC_MT = 421
  integer, parameter :: nGC_9751 = 422
  integer, parameter :: nGC_14580 = 423
  integer, parameter :: nGC_9750 = 424
  integer, parameter :: nGC_9753 = 425
  integer, parameter :: nGC_9117 = 426
  integer, parameter :: nGC_9116 = 427
  integer, parameter :: nGC_9752 = 428
  integer, parameter :: nGC_19153 = 429
  integer, parameter :: nGC_9202 = 430
  integer, parameter :: nGC_9111 = 431
  integer, parameter :: nGC_14579 = 432
  integer, parameter :: nGC_14577 = 433
  integer, parameter :: nGC_15390 = 434
  integer, parameter :: nGC_13968 = 435
  integer, parameter :: nGC_14106 = 436
  integer, parameter :: nGC_123 = 437
  integer, parameter :: nGC_9209 = 438
  integer, parameter :: nGC_9208 = 439
  integer, parameter :: nGC_9273 = 440
  integer, parameter :: nGC_9207 = 441
  integer, parameter :: nGC_9758 = 442
  integer, parameter :: nGC_9508 = 443
  integer, parameter :: nGC_9205 = 444
  integer, parameter :: nGC_9233 = 445
  integer, parameter :: nGC_9130 = 446
  integer, parameter :: nGC_9204 = 447
  integer, parameter :: nGC_38 = 448
  integer, parameter :: nGC_114 = 449
  integer, parameter :: nGC_9200 = 450
  integer, parameter :: nGC_9083 = 451
  integer, parameter :: nGC_34 = 452
  integer, parameter :: nGC_9201 = 453
  integer, parameter :: nGC_9617 = 454
  integer, parameter :: nGC_9098 = 455
  integer, parameter :: nGC_9288 = 456
  integer, parameter :: nGC_9199 = 457
  integer, parameter :: nGC_112 = 458
  integer, parameter :: nGC_MTA = 459
  integer, parameter :: nGC_14783 = 460
  integer, parameter :: nGC_9238 = 461
  integer, parameter :: nGC_9357 = 462
  integer, parameter :: nGC_9728 = 463
  integer, parameter :: nGC_32 = 464
  integer, parameter :: nGC_9439 = 465
  integer, parameter :: nGC_88 = 466
  integer, parameter :: nGC_139 = 467
  integer, parameter :: nGC_89 = 468
  integer, parameter :: nGC_80 = 469
  integer, parameter :: nGC_81 = 470
  integer, parameter :: nGC_82 = 471
  integer, parameter :: nGC_83 = 472
  integer, parameter :: nGC_84 = 473
  integer, parameter :: nGC_85 = 474
  integer, parameter :: nGC_436 = 475
  integer, parameter :: nGC_9306 = 476
  integer, parameter :: nGC_145 = 477
  integer, parameter :: nGC_9321 = 478
  integer, parameter :: nGC_111 = 479
  integer, parameter :: nGC_146 = 480
  integer, parameter :: nGC_66 = 481
  integer, parameter :: nGC_64 = 482
  integer, parameter :: nGC_147 = 483
  integer, parameter :: nGC_62 = 484
  integer, parameter :: nGC_63 = 485
  integer, parameter :: nGC_140 = 486
  integer, parameter :: nGC_115 = 487
  integer, parameter :: nGC_68 = 488
  integer, parameter :: nGC_141 = 489
  integer, parameter :: nGC_9236 = 490
  integer, parameter :: nGC_9237 = 491
  integer, parameter :: nGC_9234 = 492
  integer, parameter :: nGC_9235 = 493
  integer, parameter :: nGC_9232 = 494
  integer, parameter :: nGC_142 = 495
  integer, parameter :: nGC_9231 = 496
  integer, parameter :: nGC_113 = 497
  integer, parameter :: nGC_143 = 498
  integer, parameter :: nGC_9305 = 499
  integer, parameter :: nGC_9239 = 500
  integer, parameter :: nGC_9481 = 501
  integer, parameter :: nGC_9480 = 502
  integer, parameter :: nGC_9483 = 503
  integer, parameter :: nGC_9485 = 504
  integer, parameter :: nGC_9484 = 505
  integer, parameter :: nGC_9337 = 506
  integer, parameter :: nGC_9336 = 507
  integer, parameter :: nGC_9335 = 508
  integer, parameter :: nGC_9334 = 509
  integer, parameter :: nGC_9333 = 510
  integer, parameter :: nGC_9332 = 511
  integer, parameter :: nGC_9331 = 512
  integer, parameter :: nGC_9330 = 513
  integer, parameter :: nGC_18223 = 514
  integer, parameter :: nGC_18226 = 515
  integer, parameter :: nGC_18225 = 516
  integer, parameter :: nGC_9654 = 517
  integer, parameter :: nGC_9655 = 518
  integer, parameter :: nGC_9656 = 519
  integer, parameter :: nGC_9657 = 520
  integer, parameter :: nGC_9650 = 521
  integer, parameter :: nGC_9651 = 522
  integer, parameter :: nGC_9652 = 523
  integer, parameter :: nGC_9653 = 524
  integer, parameter :: nGC_14109 = 525
  integer, parameter :: nGC_2388 = 526
  integer, parameter :: nGC_9658 = 527
  integer, parameter :: nGC_9659 = 528
  integer, parameter :: nGC_14240 = 529
  integer, parameter :: nGC_14327 = 530
  integer, parameter :: nGC_14002 = 531
  integer, parameter :: nGC_9428 = 532
  integer, parameter :: nGC_16283 = 533
  integer, parameter :: nGC_16280 = 534
  integer, parameter :: nGC_14409 = 535
  integer, parameter :: nGC_16139 = 536
  integer, parameter :: nGC_9356 = 537
  integer, parameter :: nGC_20218 = 538
  integer, parameter :: nGC_9423 = 539
  integer, parameter :: nGC_380 = 540
  integer, parameter :: nGC_20217 = 541
  integer, parameter :: nGC_9470 = 542
  integer, parameter :: nGC_9472 = 543
  integer, parameter :: nGC_9473 = 544
  integer, parameter :: nGC_9474 = 545
  integer, parameter :: nGC_9476 = 546
  integer, parameter :: nGC_9477 = 547
  integer, parameter :: nGC_9478 = 548
  integer, parameter :: nGC_9420 = 549
  integer, parameter :: nGC_274 = 550
  integer, parameter :: nGC_23168 = 551
  integer, parameter :: nGC_9683 = 552
  integer, parameter :: nGC_9682 = 553
  integer, parameter :: nGC_9681 = 554
  integer, parameter :: nGC_9680 = 555
  integer, parameter :: nGC_9684 = 556
  integer, parameter :: nGC_15393 = 557
  integer, parameter :: nGC_15392 = 558
  integer, parameter :: nGC_15629 = 559
  integer, parameter :: nGC_9372 = 560
  integer, parameter :: nGC_9371 = 561
  integer, parameter :: nGC_9376 = 562
  integer, parameter :: nGC_9375 = 563
  integer, parameter :: nGC_9374 = 564
  integer, parameter :: nGC_9379 = 565
  integer, parameter :: nGC_9378 = 566
  integer, parameter :: nGC_9557 = 567
  integer, parameter :: nGC_9555 = 568
  integer, parameter :: nGC_724 = 569
  integer, parameter :: nGC_726 = 570
  integer, parameter :: nGC_15917 = 571
  integer, parameter :: nGC_16341 = 572
  integer, parameter :: nGC_14149 = 573
  integer, parameter :: nGC_9618 = 574
  integer, parameter :: nGC_9619 = 575
  integer, parameter :: nGC_9610 = 576
  integer, parameter :: nGC_14107 = 577
  integer, parameter :: nGC_9614 = 578
  integer, parameter :: nGC_15369 = 579
  integer, parameter :: nGC_9616 = 580
  integer, parameter :: nGC_14363 = 581
  integer, parameter :: nGC_14046 = 582
  integer, parameter :: nGC_14043 = 583
  integer, parameter :: nGC_17256 = 584
  integer, parameter :: nGC_9364 = 585
  integer, parameter :: nGC_1564 = 586
  integer, parameter :: nGC_14108 = 587
  integer, parameter :: nGC_14442 = 588
  integer, parameter :: nGC_14443 = 589
  integer, parameter :: nGC_14440 = 590
  integer, parameter :: nGC_17369 = 591
  integer, parameter :: nGC_15562 = 592
  integer, parameter :: nGC_14218 = 593
  integer, parameter :: nGC_14213 = 594
  integer, parameter :: nGC_14914 = 595
  integer, parameter :: nGC_14217 = 596
  integer, parameter :: nGC_14215 = 597
  integer, parameter :: nGC_9539 = 598
  integer, parameter :: nGC_9538 = 599
  integer, parameter :: nGC_9535 = 600
  integer, parameter :: nGC_9534 = 601
  integer, parameter :: nGC_9537 = 602
  integer, parameter :: nGC_9536 = 603
  integer, parameter :: nGC_9531 = 604
  integer, parameter :: nGC_9530 = 605
  integer, parameter :: nGC_9533 = 606
  integer, parameter :: nGC_9532 = 607
  integer, parameter :: nGC_330 = 608
  integer, parameter :: nGC_9609 = 609
  integer, parameter :: nGC_14283 = 610
  integer, parameter :: nGC_14287 = 611
  integer, parameter :: nGC_16160 = 612
  integer, parameter :: nGC_16166 = 613
  integer, parameter :: nGC_16165 = 614
  integer, parameter :: nGC_16164 = 615
  integer, parameter :: nGC_9380 = 616
  integer, parameter :: nGC_426 = 617
  integer, parameter :: nGC_9403 = 618
  integer, parameter :: nGC_9405 = 619
  integer, parameter :: nGC_9404 = 620
  integer, parameter :: nGC_9407 = 621
  integer, parameter :: nGC_9605 = 622
  integer, parameter :: nGC_9393 = 623
  integer, parameter :: nGC_9392 = 624
  integer, parameter :: nGC_9395 = 625
  integer, parameter :: nGC_9394 = 626
  integer, parameter :: nGC_9396 = 627
  integer, parameter :: nGC_15683 = 628
  integer, parameter :: nGC_15680 = 629
  integer, parameter :: nGC_568 = 630
  integer, parameter :: nGC_15684 = 631
  integer, parameter :: nGC_9715 = 632
  integer, parameter :: nGC_9714 = 633
  integer, parameter :: nGC_9717 = 634
  integer, parameter :: nGC_9711 = 635
  integer, parameter :: nGC_9713 = 636
  integer, parameter :: nGC_9712 = 637
  integer, parameter :: nGC_9718 = 638
  integer, parameter :: nGC_15262 = 639
  integer, parameter :: nGC_9329 = 640
  integer, parameter :: nGC_15201 = 641
  integer, parameter :: nGC_9496 = 642
  integer, parameter :: nGC_9494 = 643
  integer, parameter :: nGC_9492 = 644
  integer, parameter :: nGC_9493 = 645
  integer, parameter :: nGC_9490 = 646
  integer, parameter :: nGC_15438 = 647
  integer, parameter :: nGC_15439 = 648
  integer, parameter :: nGC_9703 = 649
  integer, parameter :: nGC_9704 = 650
  integer, parameter :: nGC_9660 = 651
  integer, parameter :: nGC_15337 = 652
  integer, parameter :: nGC_13990 = 653
  integer, parameter :: nGC_15334 = 654
  integer, parameter :: nGC_14256 = 655
  integer, parameter :: nGC_14253 = 656
  integer, parameter :: nGC_9697 = 657
  integer, parameter :: nGC_14960 = 658
  integer, parameter :: nGC_21741 = 659
  integer, parameter :: nGC_14552 = 660
  integer, parameter :: nGC_14553 = 661
  integer, parameter :: nGC_14007 = 662
  integer, parameter :: nGC_14556 = 663
  integer, parameter :: nGC_9565 = 664
  integer, parameter :: nGC_9449 = 665
  integer, parameter :: nGC_9560 = 666
  integer, parameter :: nGC_9447 = 667
  integer, parameter :: nGC_9441 = 668
  integer, parameter :: nGC_9440 = 669
  integer, parameter :: nGC_9568 = 670
  integer, parameter :: nGC_14918 = 671
  integer, parameter :: nGC_14919 = 672
  integer, parameter :: nGC_14912 = 673
  integer, parameter :: nGC_14874 = 674
  integer, parameter :: nGC_2938 = 675
  integer, parameter :: nGC_484 = 676
  integer, parameter :: nGC_15994 = 677
  integer, parameter :: nGC_9690 = 678
  integer, parameter :: nGC_9691 = 679
  integer, parameter :: nGC_9692 = 680
  integer, parameter :: nGC_9693 = 681
  integer, parameter :: nGC_9694 = 682
  integer, parameter :: nGC_9695 = 683
  integer, parameter :: nGC_9696 = 684
  integer, parameter :: nGC_9698 = 685
  integer, parameter :: nGC_9699 = 686
  integer, parameter :: nGC_4572 = 687
  integer, parameter :: nGC_9360 = 688
  integer, parameter :: nGC_9361 = 689
  integer, parameter :: nGC_9362 = 690
  integer, parameter :: nGC_14701 = 691
  integer, parameter :: nGC_9365 = 692
  integer, parameter :: nGC_9367 = 693
  integer, parameter :: nGC_9368 = 694
  integer, parameter :: nGC_9369 = 695
  integer, parameter :: nGC_15151 = 696
  integer, parameter :: nGC_15153 = 697
  integer, parameter :: nGC_15152 = 698
  integer, parameter :: nGC_9598 = 699
  integer, parameter :: nGC_15157 = 700
  integer, parameter :: nGC_15154 = 701
  integer, parameter :: nGC_9593 = 702
  integer, parameter :: nGC_9592 = 703
  integer, parameter :: nGC_14687 = 704
  integer, parameter :: nGC_9408 = 705
  integer, parameter :: nGC_15770 = 706
  integer, parameter :: nGC_14688 = 707
  integer, parameter :: nGC_15928 = 708
  integer, parameter :: nGC_15927 = 709
  integer, parameter :: nGC_9625 = 710
  integer, parameter :: nGC_9624 = 711
  integer, parameter :: nGC_9627 = 712
  integer, parameter :: nGC_9626 = 713
  integer, parameter :: nGC_9621 = 714
  integer, parameter :: nGC_9620 = 715
  integer, parameter :: nGC_9623 = 716
  integer, parameter :: nGC_9622 = 717
  integer, parameter :: nGC_14673 = 718
  integer, parameter :: nGC_9629 = 719
  integer, parameter :: nGC_9628 = 720
  integer, parameter :: nGC_13957 = 721
  integer, parameter :: nGC_15377 = 722
  integer, parameter :: nGC_17617 = 723
  integer, parameter :: nGC_9744 = 724
  integer, parameter :: nGC_9742 = 725
  integer, parameter :: nGC_9743 = 726
  integer, parameter :: nGC_9740 = 727
  integer, parameter :: nGC_9741 = 728
  integer, parameter :: nGC_14199 = 729
  integer, parameter :: nGC_14053 = 730
  integer, parameter :: nGC_9487 = 731
  integer, parameter :: nGC_16470 = 732
  integer, parameter :: nGC_17373 = 733
  integer, parameter :: nGC_17375 = 734
  integer, parameter :: nGC_14513 = 735
  integer, parameter :: nGC_14502 = 736
  integer, parameter :: nGC_14500 = 737
  integer, parameter :: nGC_9528 = 738
  integer, parameter :: nGC_9529 = 739
  integer, parameter :: nGC_9520 = 740
  integer, parameter :: nGC_9521 = 741
  integer, parameter :: nGC_9526 = 742
  integer, parameter :: nGC_9527 = 743
  integer, parameter :: nGC_9524 = 744
  integer, parameter :: nGC_9525 = 745
  integer, parameter :: nGC_14959 = 746
  integer, parameter :: nGC_16152 = 747
  integer, parameter :: nGC_9417 = 748
  integer, parameter :: nGC_9414 = 749
  integer, parameter :: nGC_9415 = 750
  integer, parameter :: nGC_9412 = 751
  integer, parameter :: nGC_9413 = 752
  integer, parameter :: nGC_9410 = 753
  integer, parameter :: nGC_15579 = 754
  integer, parameter :: nGC_14833 = 755
  integer, parameter :: nGC_14832 = 756
  integer, parameter :: nGC_14831 = 757
  integer, parameter :: nGC_14830 = 758
  integer, parameter :: nGC_9559 = 759
  integer, parameter :: nGC_15118 = 760
  integer, parameter :: nGC_15117 = 761
  integer, parameter :: nGC_9556 = 762
  integer, parameter :: nGC_458 = 763
  integer, parameter :: nGC_9554 = 764
  integer, parameter :: nGC_15113 = 765
  integer, parameter :: nGC_9552 = 766
  integer, parameter :: nGC_9551 = 767
  integer, parameter :: nGC_15110 = 768
  integer, parameter :: nGC_15057 = 769
  integer, parameter :: nGC_15058 = 770
  integer, parameter :: nGC_23166 = 771
  integer, parameter :: nGC_9386 = 772
  integer, parameter :: nGC_9385 = 773
  integer, parameter :: nGC_9383 = 774
  integer, parameter :: nGC_674 = 775
  integer, parameter :: nGC_9381 = 776
  integer, parameter :: nGC_21304 = 777
  integer, parameter :: nGC_9702 = 778
  integer, parameter :: nGC_9700 = 779
  integer, parameter :: nGC_9701 = 780
  integer, parameter :: nGC_9707 = 781
  integer, parameter :: nGC_9705 = 782
  integer, parameter :: nGC_15232 = 783
  integer, parameter :: nGC_9708 = 784
  integer, parameter :: nGC_9709 = 785
  integer, parameter :: nGC_14885 = 786
  integer, parameter :: nGC_14499 = 787
  integer, parameter :: nGC_14080 = 788
  integer, parameter :: nGC_14081 = 789
  integer, parameter :: nGC_15376 = 790
  integer, parameter :: nGC_14120 = 791
  integer, parameter :: nGC_14126 = 792
  integer, parameter :: nGC_13961 = 793
  integer, parameter :: nGC_14643 = 794
  integer, parameter :: nGC_15309 = 795
  integer, parameter :: nGC_9676 = 796
  integer, parameter :: nGC_9674 = 797
  integer, parameter :: nGC_9675 = 798
  integer, parameter :: nGC_9673 = 799
  integer, parameter :: nGC_14301 = 800
  integer, parameter :: nGC_14300 = 801
  integer, parameter :: nGC_14063 = 802
  integer, parameter :: nGC_16688 = 803
  integer, parameter :: nGC_16689 = 804
  integer, parameter :: nGC_14460 = 805
  integer, parameter :: nGC_17618 = 806
  integer, parameter :: nGC_14391 = 807
  integer, parameter :: nGC_14469 = 808
  integer, parameter :: nGC_14399 = 809
  integer, parameter :: nGC_15918 = 810
  integer, parameter :: nGC_9511 = 811
  integer, parameter :: nGC_9510 = 812
  integer, parameter :: nGC_9517 = 813
  integer, parameter :: nGC_9516 = 814
  integer, parameter :: nGC_9515 = 815
  integer, parameter :: nGC_9453 = 816
  integer, parameter :: nGC_9519 = 817
  integer, parameter :: nGC_9518 = 818
  integer, parameter :: nGC_9456 = 819
  integer, parameter :: nGC_9457 = 820
  integer, parameter :: nGC_9454 = 821
  integer, parameter :: nGC_9455 = 822
  integer, parameter :: nGC_9688 = 823
  integer, parameter :: nGC_14261 = 824
  integer, parameter :: nGC_16060 = 825
  integer, parameter :: nGC_9373 = 826
  integer, parameter :: nGC_9498 = 827
  integer, parameter :: nGC_9359 = 828
  integer, parameter :: nGC_9358 = 829
  integer, parameter :: nGC_9355 = 830
  integer, parameter :: nGC_9426 = 831
  integer, parameter :: nGC_9424 = 832
  integer, parameter :: nGC_15643 = 833
  integer, parameter :: nGC_9422 = 834
  integer, parameter :: nGC_9353 = 835
  integer, parameter :: nGC_9352 = 836
  integer, parameter :: nGC_9588 = 837
  integer, parameter :: nGC_9589 = 838
  integer, parameter :: nGC_9580 = 839
  integer, parameter :: nGC_9582 = 840
  integer, parameter :: nGC_9584 = 841
  integer, parameter :: nGC_9587 = 842
  integer, parameter :: nGC_9399 = 843
  integer, parameter :: nGC_15465 = 844
  integer, parameter :: nGC_746 = 845
  integer, parameter :: nGC_16246 = 846
  integer, parameter :: nGC_20017 = 847
  integer, parameter :: nGC_9632 = 848
  integer, parameter :: nGC_9636 = 849
  integer, parameter :: nGC_9637 = 850
  integer, parameter :: nGC_9634 = 851
  integer, parameter :: nGC_9635 = 852
  integer, parameter :: nGC_14604 = 853
  integer, parameter :: nGC_9638 = 854
  integer, parameter :: nGC_9639 = 855
  integer, parameter :: nGC_14603 = 856
  integer, parameter :: nGC_17255 = 857
  integer, parameter :: nGC_9739 = 858
  integer, parameter :: nGC_9738 = 859
  integer, parameter :: nGC_15265 = 860
  integer, parameter :: nGC_15264 = 861
  integer, parameter :: nGC_9732 = 862
  integer, parameter :: nGC_9731 = 863
  integer, parameter :: nGC_9736 = 864
  integer, parameter :: nGC_9734 = 865
  integer, parameter :: nGC_14024 = 866
  integer, parameter :: nGC_14023 = 867
  integer, parameter :: nGC_14028 = 868
  integer, parameter :: nGC_14184 = 869
  integer, parameter :: nGC_9647 = 870
  integer, parameter :: nGC_9646 = 871
  integer, parameter :: nGC_9645 = 872
  integer, parameter :: nGC_9644 = 873
  integer, parameter :: nGC_9643 = 874
  integer, parameter :: nGC_9642 = 875
  integer, parameter :: nGC_16392 = 876
  integer, parameter :: nGC_15588 = 877
  integer, parameter :: nGC_14119 = 878
  integer, parameter :: nGC_9340 = 879
  integer, parameter :: nGC_9649 = 880
  integer, parameter :: nGC_14238 = 881
  integer, parameter :: nGC_9431 = 882
  integer, parameter :: nGC_9344 = 883
  integer, parameter :: nGC_9345 = 884
  integer, parameter :: nGC_14635 = 885
  integer, parameter :: nGC_16411 = 886
  integer, parameter :: nGC_16410 = 887
  integer, parameter :: nGC_16148 = 888
  integer, parameter :: nGC_15889 = 889
  integer, parameter :: nGC_15888 = 890
  integer, parameter :: nGC_9462 = 891
  integer, parameter :: nGC_9461 = 892
  integer, parameter :: nGC_9460 = 893
  integer, parameter :: nGC_9466 = 894
  integer, parameter :: nGC_9469 = 895
  integer, parameter :: nGC_9468 = 896
  integer, parameter :: nGC_9548 = 897
  integer, parameter :: nGC_15041 = 898
  integer, parameter :: nGC_9545 = 899
  integer, parameter :: nGC_15043 = 900
  integer, parameter :: nGC_15042 = 901
  integer, parameter :: nGC_15044 = 902
  integer, parameter :: nGC_9544 = 903
  integer, parameter :: nGC_9459 = 904
  integer, parameter :: nGC_9547 = 905
  integer, parameter :: nGC_18438 = 906
  integer, parameter :: nGC_18437 = 907
  integer, parameter :: nGC_14522 = 908
  integer, parameter :: nGC_9450 = 909
  integer, parameter :: nGC_9451 = 910
  integer, parameter :: nGC_14137 = 911
  integer, parameter :: nGC_14891 = 912
  integer, parameter :: nGC_766 = 913
  integer, parameter :: nGC_15631 = 914
  integer, parameter :: nGC_9679 = 915
  integer, parameter :: nGC_14097 = 916
  integer, parameter :: nGC_14096 = 917
  integer, parameter :: nGC_15862 = 918
  integer, parameter :: nGC_15861 = 919
  integer, parameter :: nGC_14152 = 920
  integer, parameter :: nGC_13973 = 921
  integer, parameter :: nGC_15310 = 922
  integer, parameter :: nGC_9766 = 923
  integer, parameter :: nGC_9767 = 924
  integer, parameter :: nGC_15315 = 925
  integer, parameter :: nGC_13976 = 926
  integer, parameter :: nGC_15250 = 927
  integer, parameter :: nGC_9602 = 928
  integer, parameter :: nGC_9601 = 929
  integer, parameter :: nGC_9600 = 930
  integer, parameter :: nGC_9607 = 931
  integer, parameter :: nGC_9606 = 932
  integer, parameter :: nGC_14794 = 933
  integer, parameter :: nGC_9604 = 934
  integer, parameter :: nGC_14079 = 935
  integer, parameter :: nGC_14985 = 936
  integer, parameter :: nGC_14988 = 937
  integer, parameter :: nGC_18269 = 938
  integer, parameter :: nGC_14385 = 939
  integer, parameter :: nGC_14384 = 940
  integer, parameter :: nGC_14470 = 941
  integer, parameter :: nGC_14200 = 942
  integer, parameter :: nGC_9500 = 943
  integer, parameter :: nGC_9505 = 944
  integer, parameter :: nGC_9506 = 945
  integer, parameter :: nGC_9507 = 946
  integer, parameter :: nGC_9509 = 947
  integer, parameter :: nGC_15241 = 948
  integer, parameter :: nGC_244 = 949
  integer, parameter :: nGC_14781 = 950
  integer, parameter :: nGC_16770 = 951
  integer, parameter :: nGC_9615 = 952
  integer, parameter :: nGC_9354 = 953
  integer, parameter :: nGC_9348 = 954
  integer, parameter :: nGC_9349 = 955
  integer, parameter :: nGC_9438 = 956
  integer, parameter :: nGC_14757 = 957
  integer, parameter :: nGC_9434 = 958
  integer, parameter :: nGC_9343 = 959
  integer, parameter :: nGC_9436 = 960
  integer, parameter :: nGC_9341 = 961
  integer, parameter :: nGC_9430 = 962
  integer, parameter :: nGC_18490 = 963
  integer, parameter :: nGC_9432 = 964
  integer, parameter :: nGC_9433 = 965
  integer, parameter :: nGC_9339 = 966
  integer, parameter :: nGC_9458 = 967
  integer, parameter :: nGC_9338 = 968
  integer, parameter :: nGC_9489 = 969
  integer, parameter :: nGC_14589 = 970
  integer, parameter :: nGC_9488 = 971
  integer, parameter :: nGC_9351 = 972
  integer, parameter :: nGC_18197 = 973
  integer, parameter :: nGC_14619 = 974
  integer, parameter :: nGC_9729 = 975
  integer, parameter :: nGC_9482 = 976
  integer, parameter :: nGC_9486 = 977
  integer, parameter :: nGC_9720 = 978
  integer, parameter :: nGC_9721 = 979
  integer, parameter :: nGC_9722 = 980
  integer, parameter :: nGC_9723 = 981
  integer, parameter :: nGC_9724 = 982
  integer, parameter :: nGC_9725 = 983
  integer, parameter :: nGC_9726 = 984
  integer, parameter :: nGC_9727 = 985
  integer, parameter :: nGC_9391 = 986
  integer, parameter :: nGC_14036 = 987
  integer, parameter :: nGC_14032 = 988
  integer, parameter :: nGC_9397 = 989
  integer, parameter :: nGC_9390 = 990
  integer, parameter :: nGC_9398 = 991
  integer, parameter :: nGC_14890 = 992
  integer, parameter :: nGC_9416 = 993
  integer, parameter :: nGC_9418 = 994
  integer, parameter :: nGC_9553 = 995
  integer, parameter :: nGC_9550 = 996
  integer, parameter :: nGC_17259 = 997
  integer, parameter :: nGC_13982 = 998
  integer, parameter :: nGC_9497 = 999
  integer, parameter :: nGC_9495 = 1000
  integer, parameter :: nGC_13987 = 1001
  integer, parameter :: nGC_9569 = 1002
  integer, parameter :: nGC_9491 = 1003
  integer, parameter :: nGC_14328 = 1004
  integer, parameter :: nGC_9388 = 1005
  integer, parameter :: nGC_9389 = 1006
  integer, parameter :: nGC_9387 = 1007
  integer, parameter :: nGC_9384 = 1008
  integer, parameter :: nGC_9467 = 1009
  integer, parameter :: nGC_9464 = 1010
  integer, parameter :: nGC_22929 = 1011
  integer, parameter :: nGC_18236 = 1012
  integer, parameter :: nGC_14634 = 1013
  integer, parameter :: nGC_14636 = 1014
  integer, parameter :: nGC_14482 = 1015
  integer, parameter :: nGC_14840 = 1016
  integer, parameter :: nGC_14633 = 1017
  integer, parameter :: nGC_15233 = 1018
  integer, parameter :: nGC_9540 = 1019
  integer, parameter :: nGC_9541 = 1020
  integer, parameter :: nGC_9542 = 1021
  integer, parameter :: nGC_21953 = 1022
  integer, parameter :: nGC_21383 = 1023
  integer, parameter :: nGC_13999 = 1024
  integer, parameter :: nGC_13998 = 1025
  integer, parameter :: nGC_14130 = 1026
  integer, parameter :: nGC_13994 = 1027
  integer, parameter :: nGC_14402 = 1028
  integer, parameter :: nGC_9514 = 1029
  integer, parameter :: nGC_9471 = 1030
  integer, parameter :: nGC_9475 = 1031
  integer, parameter :: nGC_9479 = 1032
  integer, parameter :: nGC_9543 = 1033
  integer, parameter :: nGC_9579 = 1034
  integer, parameter :: nGC_9578 = 1035
  integer, parameter :: nGC_9571 = 1036
  integer, parameter :: nGC_9570 = 1037
  integer, parameter :: nGC_9573 = 1038
  integer, parameter :: nGC_9572 = 1039
  integer, parameter :: nGC_9575 = 1040
  integer, parameter :: nGC_9574 = 1041
  integer, parameter :: nGC_9577 = 1042
  integer, parameter :: nGC_9576 = 1043
  integer, parameter :: nGC_14644 = 1044
  integer, parameter :: nGC_14419 = 1045
  integer, parameter :: nGC_14418 = 1046
  integer, parameter :: nGC_16284 = 1047
  integer, parameter :: nGC_16285 = 1048
  integer, parameter :: nGC_15981 = 1049
  integer, parameter :: nGC_9566 = 1050
  integer, parameter :: nGC_9567 = 1051
  integer, parameter :: nGC_9564 = 1052
  integer, parameter :: nGC_9562 = 1053
  integer, parameter :: nGC_9448 = 1054
  integer, parameter :: nGC_9561 = 1055
  integer, parameter :: nGC_9445 = 1056
  integer, parameter :: nGC_9444 = 1057
  integer, parameter :: nGC_9446 = 1058
  integer, parameter :: nGC_9442 = 1059
  integer, parameter :: nGC_9377 = 1060
  integer, parameter :: nGC_9608 = 1061
  integer, parameter :: nGC_9603 = 1062
  integer, parameter :: nGC_14017 = 1063
  integer, parameter :: nGC_14540 = 1064
  integer, parameter :: nGC_9563 = 1065
  integer, parameter :: nGC_15768 = 1066
  integer, parameter :: nGC_15769 = 1067
  integer, parameter :: nGC_14878 = 1068
  integer, parameter :: nGC_15767 = 1069
  integer, parameter :: nGC_9513 = 1070
  integer, parameter :: nGC_18144 = 1071
  integer, parameter :: nGC_9452 = 1072
  integer, parameter :: nGC_15913 = 1073
  integer, parameter :: nGC_14875 = 1074
  integer, parameter :: nGC_14144 = 1075
  integer, parameter :: nGC_14140 = 1076
  integer, parameter :: nGC_9599 = 1077
  integer, parameter :: nGC_14663 = 1078
  integer, parameter :: nGC_16741 = 1079
  integer, parameter :: nGC_9611 = 1080
  integer, parameter :: nGC_9612 = 1081
  integer, parameter :: nGC_9613 = 1082
  integer, parameter :: nGC_9597 = 1083
  integer, parameter :: nGC_9596 = 1084
  integer, parameter :: nGC_9595 = 1085
  integer, parameter :: nGC_9594 = 1086
  integer, parameter :: nGC_15477 = 1087
  integer, parameter :: nGC_14048 = 1088
  integer, parameter :: nGC_14047 = 1089
  integer, parameter :: nGC_9499 = 1090
  integer, parameter :: nGC_9501 = 1091
  integer, parameter :: nGC_9502 = 1092
  integer, parameter :: nGC_9503 = 1093
  integer, parameter :: nGC_9504 = 1094
  integer, parameter :: nGC_13983 = 1095
  integer, parameter :: nGC_9591 = 1096
  integer, parameter :: nGC_9590 = 1097
  integer, parameter :: nGC_9429 = 1098
  integer, parameter :: nGC_14841 = 1099
  integer, parameter :: nGC_9427 = 1100
  integer, parameter :: nGC_9425 = 1101
  integer, parameter :: nGC_9350 = 1102
  integer, parameter :: nGC_14267 = 1103
  integer, parameter :: nGC_9581 = 1104
  integer, parameter :: nGC_9583 = 1105
  integer, parameter :: nGC_14697 = 1106
  integer, parameter :: nGC_14058 = 1107
  integer, parameter :: nGC_14210 = 1108
  integer, parameter :: nGC_14698 = 1109
  integer, parameter :: nGC_16247 = 1110
  integer, parameter :: nGC_14165 = 1111
  integer, parameter :: nGC_14166 = 1112
  integer, parameter :: nGC_14608 = 1113
  integer, parameter :: nGC_14609 = 1114
  integer, parameter :: nGC_9342 = 1115
  integer, parameter :: nGC_9435 = 1116
  integer, parameter :: nGC_9346 = 1117
  integer, parameter :: nGC_9347 = 1118
  integer, parameter :: nGC_14280 = 1119
  integer, parameter :: nGC_17374 = 1120
  integer, parameter :: nGC_14288 = 1121
  integer, parameter :: nGC_14289 = 1122
  integer, parameter :: nGC_14020 = 1123
  integer, parameter :: nGC_15757 = 1124
  integer, parameter :: nGC_9522 = 1125
  integer, parameter :: nGC_9523 = 1126
  integer, parameter :: nGC_9409 = 1127
  integer, parameter :: nGC_9401 = 1128
  integer, parameter :: nGC_9400 = 1129
  integer, parameter :: nGC_9402 = 1130
  integer, parameter :: nGC_9406 = 1131
  integer, parameter :: nGC_17575 = 1132
  integer, parameter :: nGC_16393 = 1133
  integer, parameter :: nGC_15069 = 1134
  integer, parameter :: nGC_21520 = 1135
  integer, parameter :: nGC_21435 = 1136
  integer, parameter :: nGC_21310 = 1137
  integer, parameter :: nGC_21306 = 1138
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
