!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-08-13 22:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_9663) = -cima*dydo_QED3
      coupl(nGC_9687) = -cima*dytau_QED3
      coupl(nGC_9686) = -cima*dym_QED3
      coupl(nGC_9685) = -cima*dye_QED3
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_9755) = -cima*dMT_QED2
      coupl(nGC_9754) = -cima*dMC_QCD2
      coupl(nGC_9765) = coupl(nGC_206)*dMW2_QED2
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_9756) = -cima*dMT_QCD2
      coupl(nGC_9716) = coupl(nGC_9197)*dZee_QED2 + coupl(nGC_9198)*dsw_QED2
      coupl(nGC_9710) = coupl(nGC_9298)*dZee_QED2 + coupl(nGC_9299)*dsw_QED2
      coupl(nGC_9719) = coupl(nGC_9101)*dsw_QED2 + coupl(nGC_9102)*dZee_QED2 + &
                        coupl(nGC_9103)*dvev_QED1
      coupl(nGC_15432) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_15433) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_15436) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_15437) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_9706) = coupl(nGC_9297)*dZee_QED2
      coupl(nGC_9757) = -cima*dMD_QED2
      coupl(nGC_9661) = cima*dyup_QED3
      coupl(nGC_9662) = cima*dyup_QED1_QCD2
      coupl(nGC_9759) = -cima*dMS_QED2
      coupl(nGC_16163) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_15384) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_14551) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_16050) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_17616) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_9363) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_9366) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_14685) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_14686) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_14680) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_14679) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_9748) = -cima*dME_QED2
      coupl(nGC_9749) = -cima*dMM_QED2
      coupl(nGC_9746) = -cima*dMH2_QED2
      coupl(nGC_9443) = coupl(nGC_129)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_15575) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_14782) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_16402) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_16403) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_14296) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_16159) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_16408) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_16409) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_14298) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_9411) = coupl(nGC_124)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9419) = coupl(nGC_130)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14888) = coupl(nGC_78)*dZdR_QCD2
      coupl(nGC_9382) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_18693) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_9677) = coupl(nGC_9196)*dyb_QED3
      coupl(nGC_9558) = sq2**3d0*(-Nc*cima*coupl(nGC_1886)**3d0 + 12d0*coupl(  &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_15858) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_15374) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_9678) = coupl(nGC_9196)*dyb_QED1_QCD2
      coupl(nGC_13969) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_9672) = cima*dyt_QED1_QCD2
      coupl(nGC_9670) = -cima*dyb_QED1_QCD2
      coupl(nGC_9671) = cima*dyt_QED3
      coupl(nGC_14308) = coupl(nGC_96)*dZZA_QED2/2d0
      coupl(nGC_9665) = -cima*dys_QED3
      coupl(nGC_14549) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_16683) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_16686) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_9546) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_1886) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_15391) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_17615) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_14575) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_14438) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_17612) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_9370) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9421) = coupl(nGC_148)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9585) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9586) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14693) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_14690) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_17611) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_9689) = coupl(nGC_9211)*dym_QED3
      coupl(nGC_9633) = coupl(nGC_9316)*dZee_QED2 + coupl(nGC_9317)*dcw_QED2
      coupl(nGC_9630) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_9631) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_9730) = coupl(nGC_9252)*dZee_QED2 + coupl(nGC_9253)*dsw_QED2 + &
                        coupl(nGC_9254)*dcw_QED2
      coupl(nGC_9737) = coupl(nGC_174)*dZgs_QCD2
      coupl(nGC_9735) = coupl(nGC_9271)*dZee_QED2
      coupl(nGC_9733) = coupl(nGC_9246)*dZee_QED2 + coupl(nGC_9247)*dsw_QED2 + &
                        coupl(nGC_9248)*dcw_QED2
      coupl(nGC_18694) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_16098) = coupl(nGC_107)*dZH_QED2/2d0 + coupl(nGC_107)*         &
                         dZWMinus_QED2 + coupl(nGC_9719)
      coupl(nGC_16646) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_14501) = coupl(nGC_124)*dZbR_QCD2/2d0 + coupl(nGC_124)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9670)
      coupl(nGC_9648) = coupl(nGC_9122)*dlam_QED4 + coupl(nGC_9123)*dvev_QED1
      coupl(nGC_9437) = coupl(nGC_19)**2d0*coupl(nGC_760)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14237) = -coupl(nGC_125)*dZbL_QCD2/2d0 - coupl(nGC_125)*       &
                         dZbR_QCD2/2d0 - coupl(nGC_9678)
      coupl(nGC_14239) = -coupl(nGC_125)*dZbL_QED2/2d0 - coupl(nGC_125)*       &
                         dZbR_QED2/2d0 - coupl(nGC_9677)
      coupl(nGC_9641) = coupl(nGC_9153)*dZee_QED2 + coupl(nGC_9154)*dsw_QED2
      coupl(nGC_9640) = -cima*dlam_QED4
      coupl(nGC_15578) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_15886) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_15883) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_9463) = coupl(nGC_1274)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9465) = coupl(nGC_150)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9549) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(       &
                        nGC_1886) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_9512) = coupl(nGC_19)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_16321) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_18435) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_15385) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_15634) = coupl(nGC_19)*dZcL_QCD2 + coupl(nGC_19)*dZg_QCD2/2d0  &
                          + coupl(nGC_9737)
      coupl(nGC_15633) = coupl(nGC_19)*dZcR_QCD2 + coupl(nGC_19)*dZg_QCD2/2d0  &
                          + coupl(nGC_9737)
      coupl(nGC_9664) = -cima*dydo_QED1_QCD2
      coupl(nGC_9667) = cima*dyc_QED3
      coupl(nGC_9666) = -cima*dys_QED1_QCD2
      coupl(nGC_15263) = coupl(nGC_127)*dZcR_QED2/2d0 + coupl(nGC_127)*        &
                         dZsL_QED2/2d0 + coupl(nGC_9667)
      coupl(nGC_9669) = -cima*dyb_QED3
      coupl(nGC_9668) = cima*dyc_QED1_QCD2
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_9764) = cima*dMW2_QED2
      coupl(nGC_9760) = -cima*dMS_QCD2
      coupl(nGC_9761) = -cima*dMB_QED2
      coupl(nGC_9762) = -cima*dMB_QCD2
      coupl(nGC_9763) = cima*dMZ2_QED2
      coupl(nGC_14076) = coupl(nGC_78)*dZsR_QCD2
      coupl(nGC_18432) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_9751) = -cima*dMU_QED2
      coupl(nGC_14580) = coupl(nGC_19)*dZbL_QCD2 + coupl(nGC_19)*dZg_QCD2/2d0  &
                          + coupl(nGC_9737)
      coupl(nGC_9750) = -cima*dMTA_QED2
      coupl(nGC_9753) = -cima*dMC_QED2
      coupl(nGC_9752) = -cima*dMU_QCD2
      coupl(nGC_19153) = coupl(nGC_9765) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_14579) = coupl(nGC_19)*dZbR_QCD2 + coupl(nGC_19)*dZg_QCD2/2d0  &
                          + coupl(nGC_9737)
      coupl(nGC_14577) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_15390) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_13968) = coupl(nGC_49)*dZWMinus_QED2 + coupl(nGC_9716)
      coupl(nGC_14106) = coupl(nGC_148)*dZdL_QED2/2d0 + coupl(nGC_148)*        &
                         dZuR_QED2/2d0 + coupl(nGC_9661)
      coupl(nGC_9758) = -cima*dMD_QCD2
      coupl(nGC_9508) = coupl(nGC_19)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9617) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_14783) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_9357) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9728) = coupl(nGC_9258)*dZee_QED2 + coupl(nGC_9259)*dcw_QED2 + &
                        coupl(nGC_9260)*dvev_QED1
      coupl(nGC_9439) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9481) = coupl(nGC_138)*(-coupl(nGC_138)**2d0 - coupl(nGC_358)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9480) = coupl(nGC_138)*(-coupl(nGC_137)**2d0 - coupl(nGC_138)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9483) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_127)*&
                        coupl(nGC_128)*coupl(nGC_139) - coupl(nGC_140)**2d0*   &
                        coupl(nGC_141) - coupl(nGC_141)**3d0 + 8d0*coupl(      &
                        nGC_141)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9485) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_126) - cMC*&
                        coupl(nGC_128) - cMD*coupl(nGC_132) - cMS*coupl(nGC_141&
                        ) - cMT*coupl(nGC_143) - cMU*coupl(nGC_149))/(16d0*pi**&
                        2d0)
      coupl(nGC_9484) = coupl(nGC_141)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9337) = (-Nc*cMB**2d0*cima*coupl(nGC_124)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_142)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_127)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_139)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_130)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_148)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_127  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_139)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_124)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_142)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_130)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_148)**2d0 - cME**2d0*cima&
                        *coupl(nGC_133)**2d0 - cMM**2d0*cima*coupl(nGC_136)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_145)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_47) - cMZ**2d0*coupl(nGC_95) + 2d0*cima*    &
                        coupl(nGC_110)**2d0 + 2d0*cima*coupl(nGC_99)**2d0)/(   &
                        16d0*pi**2d0)
      coupl(nGC_9336) = cima*(Nc*coupl(nGC_124)**2d0 + Nc*coupl(nGC_127)**2d0  &
                         + Nc*coupl(nGC_130)**2d0 + Nc*coupl(nGC_139)**2d0 + Nc&
                        *coupl(nGC_142)**2d0 + Nc*coupl(nGC_148)**2d0 + coupl( &
                        nGC_133)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_145)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_9335) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_9334) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_62)**2d0 - coupl( &
                        nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9333) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_9332) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9331) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(    &
                        nGC_82))/(8d0*pi**2d0)
      coupl(nGC_9330) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_126)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_128)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_132)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_141)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_143)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_149)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_135)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_138)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_147 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_47) - cMZ**2d0*coupl(  &
                        nGC_96) + 2d0*cima*coupl(nGC_107)**2d0 + cima*coupl(   &
                        nGC_123)**2d0)/(16d0*pi**2d0)
      coupl(nGC_18223) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_18226) = coupl(nGC_9750) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0 &
                          + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0
      coupl(nGC_18225) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_9654) = coupl(nGC_9289)*dZee_QED2
      coupl(nGC_9655) = coupl(nGC_9287)*dZee_QED2
      coupl(nGC_9656) = coupl(nGC_9116)*dZee_QED2 + coupl(nGC_9117)*dsw_QED2 + &
                        coupl(nGC_9118)*dcw_QED2
      coupl(nGC_9657) = coupl(nGC_9083)*dZee_QED2 + coupl(nGC_9084)*dsw_QED2 + &
                        coupl(nGC_9085)*dcw_QED2
      coupl(nGC_9650) = coupl(nGC_9150)*dsw_QED2 + coupl(nGC_9151)*dZee_QED2 + &
                        coupl(nGC_9152)*dvev_QED1
      coupl(nGC_9651) = coupl(nGC_9158)*dsw_QED2 + coupl(nGC_9159)*dZee_QED2 + &
                        coupl(nGC_9160)*dvev_QED1
      coupl(nGC_9652) = coupl(nGC_9302)*dZee_QED2
      coupl(nGC_9653) = coupl(nGC_9288)*dZee_QED2
      coupl(nGC_14109) = coupl(nGC_130)*dZdR_QCD2/2d0 + coupl(nGC_130)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9664)
      coupl(nGC_9658) = coupl(nGC_9321)*dZgs_QCD2
      coupl(nGC_9659) = coupl(nGC_9325)*dZgs_QCD2
      coupl(nGC_14240) = coupl(nGC_125)*dZbL_QED2/2d0 + coupl(nGC_125)*        &
                         dZbR_QED2/2d0 + coupl(nGC_9677)
      coupl(nGC_14327) = coupl(nGC_62)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_14002) = 2d0*coupl(nGC_21)*dZg_QCD2 + 2d0*coupl(nGC_9659)
      coupl(nGC_9428) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(    &
                        nGC_125)*coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_126 &
                        )*coupl(nGC_142)*coupl(nGC_143))/(32d0*pi**2d0)
      coupl(nGC_16283) = coupl(nGC_83)*dZcL_QCD2
      coupl(nGC_16280) = coupl(nGC_79)*dZcR_QCD2
      coupl(nGC_14409) = coupl(nGC_106)*dZH_QED2/2d0 + coupl(nGC_9650)
      coupl(nGC_16139) = -coupl(nGC_4)*dZA_QED2/2d0 - coupl(nGC_85)*dZZA_QED2/ &
                         2d0 - coupl(nGC_9655)
      coupl(nGC_9356) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(    &
                        nGC_82))/(8d0*pi**2d0)
      coupl(nGC_20218) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_9423) = coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_20217) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_9470) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9472) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl(&
                        nGC_128)**3d0 + 8d0*coupl(nGC_128)*coupl(nGC_2)**2d0 - &
                        coupl(nGC_128)*coupl(nGC_636)**2d0 + 8d0*coupl(nGC_128 &
                        )*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9473) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl(&
                        nGC_128)**3d0 - coupl(nGC_128)*coupl(nGC_129)**2d0 +   &
                        8d0*coupl(nGC_128)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_128)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_9474) = coupl(nGC_128)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9476) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)*&
                        coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_131)**2d0*   &
                        coupl(nGC_132) - coupl(nGC_132)**3d0 + 8d0*coupl(      &
                        nGC_132)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_9477) = coupl(nGC_132)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9478) = coupl(nGC_135)*(-coupl(nGC_134)**2d0 - coupl(nGC_135)**&
                        2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl( &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_9420) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl( &
                        nGC_130)*coupl(nGC_131)*coupl(nGC_150) - coupl(nGC_130 &
                        )*coupl(nGC_132)*coupl(nGC_149) + 8d0*coupl(nGC_148)*  &
                        coupl(nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_23168) = -coupl(nGC_9558)
      coupl(nGC_9683) = coupl(nGC_9199)*dyb_QED3
      coupl(nGC_9682) = coupl(nGC_9213)*dys_QED1_QCD2
      coupl(nGC_9681) = coupl(nGC_9213)*dys_QED3
      coupl(nGC_9680) = coupl(nGC_9202)*dydo_QED1_QCD2
      coupl(nGC_9684) = coupl(nGC_9199)*dyb_QED1_QCD2
      coupl(nGC_15393) = coupl(nGC_9760) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl(&
                         nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_15392) = coupl(nGC_9759) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl(&
                         nGC_MS)*dZsR_QED2/2d0
      coupl(nGC_15629) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_9372) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9371) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9376) = (Nc*coupl(nGC_1)*coupl(nGC_124)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_127)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_130)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_139)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_142)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_148)**2d0 - Nc*coupl(nGC_124)**2d0*coupl(nGC_2) -  &
                        Nc*coupl(nGC_127)**2d0*coupl(nGC_2) - Nc*coupl(nGC_130 &
                        )**2d0*coupl(nGC_2) - Nc*coupl(nGC_139)**2d0*coupl(    &
                        nGC_2) - Nc*coupl(nGC_142)**2d0*coupl(nGC_2) - Nc*coupl&
                        (nGC_148)**2d0*coupl(nGC_2) + coupl(nGC_133)**2d0*coupl&
                        (nGC_4) + coupl(nGC_136)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_145)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_9375) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9374) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(    &
                        nGC_83))/(8d0*pi**2d0)
      coupl(nGC_9379) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9378) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*  &
                        coupl(nGC_760) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0&
                        *coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_124)**2d0*&
                        coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_9557) = coupl(nGC_19)*sq2*(coupl(nGC_1274)*coupl(nGC_150) +    &
                        coupl(nGC_148)**2d0 + coupl(nGC_149)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9555) = coupl(nGC_19)*sq2*(-coupl(nGC_1274)*coupl(nGC_150) -   &
                        coupl(nGC_148)**2d0 - coupl(nGC_149)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_15917) = -2d0*coupl(nGC_21)*dZg_QCD2 - coupl(nGC_9659)
      coupl(nGC_16341) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_9728) + coupl&
                         (nGC_99)*dZWMinus_QED2/2d0 + coupl(nGC_99)*dZZ_QED2/  &
                         2d0
      coupl(nGC_14149) = coupl(nGC_66)*dZWMinus_QED2/2d0 + coupl(nGC_9656)
      coupl(nGC_9618) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_9619) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl&
                        (nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(128d0*pi**  &
                        2d0)
      coupl(nGC_9610) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_126)**2d0  &
                         + coupl(nGC_128)**2d0 + coupl(nGC_132)**2d0 + coupl(  &
                        nGC_141)**2d0 + coupl(nGC_143)**2d0 + coupl(nGC_149)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_14107) = coupl(nGC_130)*dZdR_QED2/2d0 + coupl(nGC_130)*        &
                         dZuL_QED2/2d0 + coupl(nGC_9663)
      coupl(nGC_9614) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_78)**2d0 + &
                        coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_15369) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_9616) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_14363) = coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(nGC_66)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9656)
      coupl(nGC_14046) = coupl(nGC_82)*dZbL_QCD2
      coupl(nGC_14043) = coupl(nGC_78)*dZbR_QCD2
      coupl(nGC_17256) = coupl(nGC_141)*dZsL_QCD2/2d0 + coupl(nGC_141)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9682)
      coupl(nGC_9364) = cima*sq2**2d0*(-Nc*coupl(nGC_1886)**2d0 + 6d0*coupl(   &
                        nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_14108) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9662)
      coupl(nGC_14442) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_19)*dZtR_QCD2  &
                          + coupl(nGC_9737)
      coupl(nGC_14443) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_19)*dZtL_QCD2  &
                          + coupl(nGC_9737)
      coupl(nGC_14440) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_17369) = coupl(nGC_83)*dZtL_QCD2
      coupl(nGC_15562) = coupl(nGC_96)*dZH_QED2 + coupl(nGC_96)*dZZ_QED2 +     &
                         coupl(nGC_9730)
      coupl(nGC_14218) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_19)*dZsL_QCD2  &
                          + coupl(nGC_9737)
      coupl(nGC_14213) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_14914) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_14217) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_19)*dZsR_QCD2  &
                          + coupl(nGC_9737)
      coupl(nGC_14215) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_9539) = -coupl(nGC_19)*sq2*(-coupl(nGC_127)**2d0 - coupl(      &
                        nGC_128)**2d0 - coupl(nGC_129)*coupl(nGC_636) - 4d0*   &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi** &
                        2d0)
      coupl(nGC_9538) = -coupl(nGC_19)*sq2*(-coupl(nGC_128)**2d0 - coupl(      &
                        nGC_129)*coupl(nGC_636) - coupl(nGC_139)**2d0 - 4d0*   &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(&
                        nGC_83)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9535) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_124)**2d0 - coupl(nGC_125)*coupl(nGC_760) - coupl( &
                        nGC_126)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9534) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_1886) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_9537) = -coupl(nGC_19)*sq2*(coupl(nGC_127)**2d0 + coupl(nGC_128&
                        )**2d0 + coupl(nGC_129)*coupl(nGC_636) + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9536) = -coupl(nGC_19)*sq2*(coupl(nGC_128)**2d0 + coupl(nGC_129&
                        )*coupl(nGC_636) + coupl(nGC_139)**2d0 + 4d0*coupl(    &
                        nGC_2)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83&
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9531) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_1886) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_9530) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_125)*coupl(nGC_760) + coupl(nGC_126)**2d0 + coupl( &
                        nGC_142)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9533) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_125)*coupl(nGC_760) - coupl(nGC_126)**2d0 - coupl( &
                        nGC_142)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(    &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9532) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_124)**2d0 + coupl(nGC_125)*coupl(nGC_760) + coupl( &
                        nGC_126)**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_9609) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_126)**2d0 &
                         - coupl(nGC_128)**2d0 - coupl(nGC_132)**2d0 - coupl(  &
                        nGC_141)**2d0 - coupl(nGC_143)**2d0 - coupl(nGC_149)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_14283) = coupl(nGC_83)*dZuL_QCD2
      coupl(nGC_14287) = coupl(nGC_79)*dZuR_QCD2
      coupl(nGC_16160) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_16166) = coupl(nGC_9756) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl(&
                         nGC_MT)*dZtR_QCD2/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
